<?php

/**
 * Related Post Options
 *
 * @package social_blog
 */

$wp_customize->add_section(
	'social_blog_related_post_options',
	array(
		'title' => esc_html__( 'Related Post Options', 'social-blog' ),
		'panel' => 'social_blog_theme_options',
	)
);

// Add Separator Custom Control
$wp_customize->add_setting( 'social_blog_related_post_separator', array(
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( new Social_Blog_Separator_Custom_Control( $wp_customize, 'social_blog_related_post_separator', array(
	'label' => __( 'Enable / Disable Related Post Section', 'social-blog' ),
	'section' => 'social_blog_related_post_options',
	'settings' => 'social_blog_related_post_separator',
) ) );


// Post Options - Show / Hide Related Posts.
$wp_customize->add_setting(
	'social_blog_post_hide_related_posts',
	array(
		'default'           => true,
		'sanitize_callback' => 'social_blog_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Social_Blog_Toggle_Switch_Custom_Control(
		$wp_customize,
		'social_blog_post_hide_related_posts',
		array(
			'label'   => esc_html__( 'Show / Hide Related Posts', 'social-blog' ),
			'section' => 'social_blog_related_post_options',
		)
	)
);

	// Register setting for number of related posts
	$wp_customize->add_setting(
		'social_blog_related_posts_count',
		array(
			'default'           => '',
			'sanitize_callback' => 'absint', // Ensure it's an integer
		)
	);

	// Add control for number of related posts
	$wp_customize->add_control(
		'social_blog_related_posts_count',
		array(
			'type'        => 'number',
			'label'       => esc_html__( 'Number of Related Posts to Display', 'social-blog' ),
			'section'     => 'social_blog_related_post_options',
			'input_attrs' => array(
				'min'  => 1,
				'max'  => 5, // Adjust maximum based on your preference
				'step' => 1,
			),
		)
	);

	// Post Options - Related Post Label.
$wp_customize->add_setting(
	'social_blog_post_related_post_label',
	array(
		'default'           => '',
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	'social_blog_post_related_post_label',
	array(
		'label'    => esc_html__( 'Related Posts Label', 'social-blog' ),
		'section'  => 'social_blog_related_post_options',
		'settings' => 'social_blog_post_related_post_label',
		'type'     => 'text',
	)
);